<html>
<head>
<title>WS2300 test page</title>
</head>
<body>

<?php
require("locals.php");
require("ws2300.php");

$version = "20070917.1";
echo "WS2300 PHP test<br>\n";
echo "Copyright  2007 Cosmin Buhu<br>\n";
echo "Version $version<br><br>\n"; 
echo "Please wait, reading data from station, will take a few seconds ...<br><br>\n\n";
ob_flush();
flush();
set_time_limit(0);
open_weatherstation("COM1");

if (reset_06() == false) 
	die("Can't find/reset WS2300 or another user is viewing it. Please retry later.");

flush_serial();

tendency_forecast($tendency, $forecast);
if ($tendency == 0)
	echo 'Tendency steady.';
else if ($tendency == 1)
	echo 'Tendency rising.';
else if ($tendency == 2)
	echo 'Tendency falling.';
echo "&nbsp;&nbsp;&nbsp;&nbsp;";
if ($forecast == 0)
	echo 'Forecast rainy.';
else if ($forecast == 1)
	echo 'Forecast cloudy.';
else if ($forecast == 2)
	echo 'Forecast sunny.';
echo "<br><br>";

// 0 for Celsius, 1 for Fahrenheit
echo "Temperature indoor: "; echo temperature_indoor(0); echo "<br>\n";
echo "Humidity indoor: "; echo humidity_indoor(); echo "%<br>\n";

echo "<br>Temperature outdoor: "; echo temperature_outdoor(0); echo "<br>\n";
echo "Dewpoint: "; echo dewpoint(0); echo "<br>\n";
echo "Windchill: "; echo windchill(0); echo "<br>\n";
echo "Humidity outdoor: "; echo humidity_outdoor(); echo "%<br>\n";
echo "Pressure relative: "; echo rel_pressure(); echo " hPa<br>\n";
echo "Pressure absolute: "; echo abs_pressure(); echo " hPa<br>\n";
$windspeed = wind($windir);
echo sprintf("Wind speed %.1f m/s from %d degrees<br>\n", $windspeed, $windir);
echo "Rain 1H: "; echo rain_1h(); echo " mm<br>\n";
echo "Rain 24H: "; echo rain_24h(); echo " mm<br>\n";
echo "Rain total: "; echo rain_total(); echo " mm<br>\n";

close_weatherstation();

?>

</body>
</html>