<?php

function save_rel_pressure($value)
{
	$data1 = "<Chart bgColor='FFFFFF' upperLimit='1030' lowerLimit='970' numberSuffix='hPa' baseFontColor='646F8F'  majorTMNumber='7' majorTMColor='646F8F'  majorTMHeight='9' minorTMNumber='5' minorTMColor='646F8F' minorTMHeight='3' showGaugeBorder='0' gaugeOuterRadius='105' gaugeInnerRadius='90' gaugeOriginX='150' gaugeOriginY='150' gaugeScaleAngle='280' gaugeAlpha='50' placeValuesInside='1' displayValueDistance='30' toolTipBgColor='F2F2FF' toolTipBorderColor='6A6FA6' gaugeFillMix='' showShadow='0' annRenderDelay='0' pivotRadius='14' pivotFillMix='{A1A0FF},{6A6FA6}' pivotBorderColor='bebcb0' pivotFillRatio='70,30'>
	<colorRange>
		<color minValue='0' maxValue='1030' code='A1A0FF' /> 
	</colorRange> 
	<dials> 	
		<dial value='";
	$data2 = "' bgColor='6A6FA6,A1A0FF' borderAlpha='0' baseWidth='5' topWidth='4' />
	</dials>
	<!-- To draw the pre built custom objects -->
	<annotations>
		<!-- To draw it below the chart-->
		<annotationGroup xPos='150' yPos='150' showBelow='1'>	
			<!-- To draw the outer blue dial with gradient effect-->
			<annotation type='circle' xPos='0' yPos='0' radius='140' fillColor='000000,2C6BB2, 135FAB'  fillRatio='80,15, 5' borderColor='2C6BB2' />
			<!-- To fill the dial with gradient effect-->
			<annotation type='circle' xPos='0' yPos='0' radius='122' fillColor='FFFFFF, D4D4D4' fillRatio='20,80' borderColor='2C6BB2' />
			<!-- To draw the green arc circling the outer dial-->
			<annotation type='arc' xPos='0' yPos='0' radius='120' innerRadius='110' startAngle='-60' endAngle='240' fillColor='51884F' fillAlpha='50' borderColor='51884F' />		
		</annotationGroup>
	</annotations>
</Chart>";
	$out = sprintf("%s%f%s", $data1, $value, $data2);
	
	$file = fopen("./Data/rel_pressure.xml", "w");
	fwrite($file, $out);
	fclose($file);
}

function save_abs_pressure($value)
{
	$data1 = "<Chart bgColor='FFFFFF' upperLimit='1030' lowerLimit='970' numberSuffix='hPa' baseFontColor='646F8F'  majorTMNumber='7' majorTMColor='646F8F'  majorTMHeight='9' minorTMNumber='5' minorTMColor='646F8F' minorTMHeight='3' showGaugeBorder='0' gaugeOuterRadius='105' gaugeInnerRadius='90' gaugeOriginX='150' gaugeOriginY='150' gaugeScaleAngle='280' gaugeAlpha='50' placeValuesInside='1' displayValueDistance='30' toolTipBgColor='F2F2FF' toolTipBorderColor='6A6FA6' gaugeFillMix='' showShadow='0' annRenderDelay='0' pivotRadius='14' pivotFillMix='{A1A0FF},{6A6FA6}' pivotBorderColor='bebcb0' pivotFillRatio='70,30'>
	<colorRange>
		<color minValue='0' maxValue='1030' code='A1A0FF' /> 
	</colorRange> 
	<dials> 	
		<dial value='";
	$data2 = "' bgColor='6A6FA6,A1A0FF' borderAlpha='0' baseWidth='5' topWidth='4' />
	</dials>
	<!-- To draw the pre built custom objects -->
	<annotations>
		<!-- To draw it below the chart-->
		<annotationGroup xPos='150' yPos='150' showBelow='1'>	
			<!-- To draw the outer blue dial with gradient effect-->
			<annotation type='circle' xPos='0' yPos='0' radius='140' fillColor='000000,2C6BB2, 135FAB'  fillRatio='80,15, 5' borderColor='2C6BB2' />
			<!-- To fill the dial with gradient effect-->
			<annotation type='circle' xPos='0' yPos='0' radius='122' fillColor='FFFFFF, D4D4D4' fillRatio='20,80' borderColor='2C6BB2' />
			<!-- To draw the green arc circling the outer dial-->
			<annotation type='arc' xPos='0' yPos='0' radius='120' innerRadius='110' startAngle='-60' endAngle='240' fillColor='51884F' fillAlpha='50' borderColor='51884F' />		
		</annotationGroup>
	</annotations>
</Chart>";
	$out = sprintf("%s%f%s", $data1, $value, $data2);
	
	$file = fopen("./Data/abs_pressure.xml", "w");
	fwrite($file, $out);
	fclose($file);
}

function save_temp_indoor($value)
{
	$data1 = "<Chart showBorder='0' bgColor='FFFFFF' bgAlpha='0' lowerLimit='-30' upperLimit='40' majorTMNumber='7' majorTMHeight='2' minorTMNumber='9' decimalPrecision='0' thmFillColor='FF5904' chartLeftMargin='50' chartRightMargin='20' chartTopMargin='10' chartBottomMargin='10' numberSuffix='' borderThickness='2'>
	<value>";
	$data2= "</value>
	<annotations>
		<!-- Draw the background thermometer board  -->
		<annotationGroup showBelowChart='1'>
			<annotation type='rectangle' xPos='0' yPos='0' toXPos='120' toYPos='280'  radius='7' showBorder='0' borderThickness='1' fillColor='914800,000000' fillAlpha='100' fillAsGradient='1' fillDegree='45' fillPattern='linear'/>
			<annotation type='rectangle' xPos='10' yPos='10' toXPos='110' toYPos='270'  radius='5' showBorder='1' borderThickness='1'  fillColor='FFBC79,FFBA75' fillAlpha='50' fillDegree='45'/>
			<annotation type='text' xPos='80' yPos='260' label= 'C' fontSize='20' fontColor='000000'/>
		</annotationGroup>
	</annotations>
</Chart>";
	$out = sprintf("%s%f%s", $data1, $value, $data2);
	
	$file = fopen("./Data/temp_indoor.xml", "w");
	fwrite($file, $out);
	fclose($file);
}

function save_temp_outdoor($value)
{
	$data1 = "<Chart showBorder='0' bgColor='FFFFFF' bgAlpha='0' lowerLimit='-30' upperLimit='40' majorTMNumber='7' majorTMHeight='2' minorTMNumber='9' decimalPrecision='0' thmFillColor='FF5904' chartLeftMargin='50' chartRightMargin='20' chartTopMargin='10' chartBottomMargin='10' numberSuffix='' borderThickness='2'>
	<value>";
	$data2= "</value>
	<annotations>
		<!-- Draw the background thermometer board  -->
		<annotationGroup showBelowChart='1'>
			<annotation type='rectangle' xPos='0' yPos='0' toXPos='120' toYPos='280'  radius='7' showBorder='0' borderThickness='1' fillColor='914800,000000' fillAlpha='100' fillAsGradient='1' fillDegree='45' fillPattern='linear'/>
			<annotation type='rectangle' xPos='10' yPos='10' toXPos='110' toYPos='270'  radius='5' showBorder='1' borderThickness='1'  fillColor='FFBC79,FFBA75' fillAlpha='50' fillDegree='45'/>
			<annotation type='text' xPos='80' yPos='260' label= 'C' fontSize='20' fontColor='000000'/>
		</annotationGroup>
	</annotations>
</Chart>";
	$out = sprintf("%s%f%s", $data1, $value, $data2);
	
	$file = fopen("./Data/temp_outdoor.xml", "w");
	fwrite($file, $out);
	fclose($file);
}

function save_windchill($value)
{
	$data1 = "<Chart showBorder='0' bgColor='FFFFFF' bgAlpha='0' lowerLimit='-30' upperLimit='40' majorTMNumber='7' majorTMHeight='2' minorTMNumber='9' decimalPrecision='0' thmFillColor='FF5904' chartLeftMargin='50' chartRightMargin='20' chartTopMargin='10' chartBottomMargin='10' numberSuffix='' borderThickness='2'>
	<value>";
	$data2= "</value>
	<annotations>
		<!-- Draw the background thermometer board  -->
		<annotationGroup showBelowChart='1'>
			<annotation type='rectangle' xPos='0' yPos='0' toXPos='120' toYPos='280'  radius='7' showBorder='0' borderThickness='1' fillColor='914800,000000' fillAlpha='100' fillAsGradient='1' fillDegree='45' fillPattern='linear'/>
			<annotation type='rectangle' xPos='10' yPos='10' toXPos='110' toYPos='270'  radius='5' showBorder='1' borderThickness='1'  fillColor='FFBC79,FFBA75' fillAlpha='50' fillDegree='45'/>
			<annotation type='text' xPos='80' yPos='260' label= 'C' fontSize='20' fontColor='000000'/>
		</annotationGroup>
	</annotations>
</Chart>";
	$out = sprintf("%s%f%s", $data1, $value, $data2);
	
	$file = fopen("./Data/windchill.xml", "w");
	fwrite($file, $out);
	fclose($file);
}

function save_dewpoint($value)
{
	$data1 = "<Chart showBorder='0' bgColor='FFFFFF' bgAlpha='0' lowerLimit='-30' upperLimit='40' majorTMNumber='7' majorTMHeight='2' minorTMNumber='9' decimalPrecision='0' thmFillColor='FF5904' chartLeftMargin='50' chartRightMargin='20' chartTopMargin='10' chartBottomMargin='10' numberSuffix='' borderThickness='2'>
	<value>";
	$data2= "</value>
	<annotations>
		<!-- Draw the background thermometer board  -->
		<annotationGroup showBelowChart='1'>
			<annotation type='rectangle' xPos='0' yPos='0' toXPos='120' toYPos='280'  radius='7' showBorder='0' borderThickness='1' fillColor='914800,000000' fillAlpha='100' fillAsGradient='1' fillDegree='45' fillPattern='linear'/>
			<annotation type='rectangle' xPos='10' yPos='10' toXPos='110' toYPos='270'  radius='5' showBorder='1' borderThickness='1'  fillColor='FFBC79,FFBA75' fillAlpha='50' fillDegree='45'/>
			<annotation type='text' xPos='80' yPos='260' label= 'C' fontSize='20' fontColor='000000'/>
		</annotationGroup>
	</annotations>
</Chart>";
	$out = sprintf("%s%f%s", $data1, $value, $data2);
	
	$file = fopen("./Data/dewpoint.xml", "w");
	fwrite($file, $out);
	fclose($file);
}

function save_hum_outdoor($value)
{
	$data1 = "<Chart bgColor='FFFFFF' upperLimit='100' lowerLimit='0' numberSuffix='%' baseFontColor='646F8F'  majorTMNumber='10' majorTMColor='646F8F'  majorTMHeight='9' minorTMNumber='5' minorTMColor='646F8F' minorTMHeight='3' showGaugeBorder='0' gaugeOuterRadius='105' gaugeInnerRadius='90' gaugeOriginX='150' gaugeOriginY='150' gaugeScaleAngle='280' gaugeAlpha='50' placeValuesInside='1' displayValueDistance='30' toolTipBgColor='F2F2FF' toolTipBorderColor='6A6FA6' gaugeFillMix='' showShadow='0' annRenderDelay='0' pivotRadius='14' pivotFillMix='{A1A0FF},{6A6FA6}' pivotBorderColor='bebcb0' pivotFillRatio='70,30'>
	<colorRange>
		<color minValue='0' maxValue='1030' code='A1A0FF' /> 
	</colorRange> 
	<dials> 	
		<dial value='";
	$data2 = "' bgColor='6A6FA6,A1A0FF' borderAlpha='0' baseWidth='5' topWidth='4' />
	</dials>
	<!-- To draw the pre built custom objects -->
	<annotations>
		<!-- To draw it below the chart-->
		<annotationGroup xPos='150' yPos='150' showBelow='1'>	
			<!-- To draw the outer blue dial with gradient effect-->
			<annotation type='circle' xPos='0' yPos='0' radius='140' fillColor='000000,2C6BB2, 135FAB'  fillRatio='80,15, 5' borderColor='2C6BB2' />
			<!-- To fill the dial with gradient effect-->
			<annotation type='circle' xPos='0' yPos='0' radius='122' fillColor='FFFFFF, D4D4D4' fillRatio='20,80' borderColor='2C6BB2' />
			<!-- To draw the green arc circling the outer dial-->
			<annotation type='arc' xPos='0' yPos='0' radius='120' innerRadius='110' startAngle='-60' endAngle='240' fillColor='51884F' fillAlpha='50' borderColor='51884F' />		
		</annotationGroup>
	</annotations>
</Chart>";
	$out = sprintf("%s%f%s", $data1, $value, $data2);
	
	$file = fopen("./Data/hum_outdoor.xml", "w");
	fwrite($file, $out);
	fclose($file);
}

function save_hum_indoor($value)
{
	$data1 = "<Chart bgColor='FFFFFF' upperLimit='100' lowerLimit='0' numberSuffix='%' baseFontColor='646F8F'  majorTMNumber='10' majorTMColor='646F8F'  majorTMHeight='9' minorTMNumber='5' minorTMColor='646F8F' minorTMHeight='3' showGaugeBorder='0' gaugeOuterRadius='105' gaugeInnerRadius='90' gaugeOriginX='150' gaugeOriginY='150' gaugeScaleAngle='280' gaugeAlpha='50' placeValuesInside='1' displayValueDistance='30' toolTipBgColor='F2F2FF' toolTipBorderColor='6A6FA6' gaugeFillMix='' showShadow='0' annRenderDelay='0' pivotRadius='14' pivotFillMix='{A1A0FF},{6A6FA6}' pivotBorderColor='bebcb0' pivotFillRatio='70,30'>
	<colorRange>
		<color minValue='0' maxValue='1030' code='A1A0FF' /> 
	</colorRange> 
	<dials> 	
		<dial value='";
	$data2 = "' bgColor='6A6FA6,A1A0FF' borderAlpha='0' baseWidth='5' topWidth='4' />
	</dials>
	<!-- To draw the pre built custom objects -->
	<annotations>
		<!-- To draw it below the chart-->
		<annotationGroup xPos='150' yPos='150' showBelow='1'>	
			<!-- To draw the outer blue dial with gradient effect-->
			<annotation type='circle' xPos='0' yPos='0' radius='140' fillColor='000000,2C6BB2, 135FAB'  fillRatio='80,15, 5' borderColor='2C6BB2' />
			<!-- To fill the dial with gradient effect-->
			<annotation type='circle' xPos='0' yPos='0' radius='122' fillColor='FFFFFF, D4D4D4' fillRatio='20,80' borderColor='2C6BB2' />
			<!-- To draw the green arc circling the outer dial-->
			<annotation type='arc' xPos='0' yPos='0' radius='120' innerRadius='110' startAngle='-60' endAngle='240' fillColor='51884F' fillAlpha='50' borderColor='51884F' />		
		</annotationGroup>
	</annotations>
</Chart>";
	$out = sprintf("%s%f%s", $data1, $value, $data2);
	
	$file = fopen("./Data/hum_indoor.xml", "w");
	fwrite($file, $out);
	fclose($file);
}

function save_windspeed($value)
{
	$data1 = "<Chart upperLimit='20' lowerLimit='0' bgColor='FFFFFF' gaugeRoundRadius='7' borderColor='DCCEA1' chartTopMargin='17' chartBottomMargin='10' ticksBelowGauge='0' valuePadding='0' majorTMColor='323433' majorTMNumber='10' minorTMNumber='4' minorTMHeight='-4' majorTMHeight='-8' placeValuesInside='1' showShadow='0' pointerRadius='5' pointerBgColor='E00000' pointerBorderColor='E00000' showGaugeBorder='0' baseFontColor='FFFFFF' gaugeFillMix=''  gaugeFillAlpha='0,0,0,0,0,0' sgaugeFillMix='{09DBFE},{32A6CF},{C1DFEA}' gaugeFillRatio='20,40,40' gaugeFillAngle='90' chartLeftMargin='10' chartRightMargin='10' animation='0'>
	<colorRange> 
        	<color minValue='0' maxValue='9' alpha='0'/>
	</colorRange>
	<value>";
	$data2 = "</value>
	<annotations>
		<annotationGroup id='Grp1' showBelow='1' >
			<!--The gradient rectangle which replaces the gauge-->
			<annotation type='rectangle' x='0' y='15' toX='300' toY='70' radius='8' color='004D69' />
			<!--Border arund the gauge-->
			<annotation type='rectangle' x='0' y='54' toX='300' toY='70' radius='8' color='055472,1D89AF' fillAngle='90'/>
			<!--The extended deep blue rectangle-->
			<annotation type='rectangle' x='0' y='13' toX='300' toY='52' radius='8' color='09DBFE,32A6CF,0177A7' fillRatio='20,40,40' fillAngle='90'/>
			<!--Gauge reflection-->
			<annotation type='rectangle' x='15' y='15' toX='300' toY='50' radius='8' color='09DBFE,32A6CF,C1DFEA' fillRatio='20,40,40' fillAngle='90'/>
		</annotationGroup>
		<!--The text Richter Scale-->
		<annotationGroup id='Grp2' showBelow='1'>
			<annotation type='text' label='Wind speed m/s' color='004D69' bold='1' x='150' y='43'/>
		</annotationGroup>
	</annotations>
	<styles>
		<definition>
			<style name='TTipFont' type='Font' color='FFFFFF' bgColor='004D69' borderColor='004D69'/>
		</definition>
		<application>
			<apply toObject='TOOLTIP' styles='TTipFont' />
		</application>	
	</styles>
</Chart>";
	$out = sprintf("%s%f%s", $data1, $value, $data2);
	
	$file = fopen("./Data/windspeed.xml", "w");
	fwrite($file, $out);
	fclose($file);
}

function save_winddir($value)
{
	$data1 = "<Chart upperLimit='360' gaugeStartAngle='90' gaugeEndAngle='-270' lowerLimit='0' upperLimitDisplay=' ' lowerLimitDisplay='N'  bgColor='FFFFFF' bgAlpha='0' showBorder='0' majorTMNumber='12' majorTMHeight='9' minorTMNumber='5' minorTMColor='000000' minorTMHeight='3' majorTMThickness='2' gaugeInnerRadius='0' gaugeScaleAngle='360' displayValueDistance='15' chartTopMargin='0' chartLeftMargin='0' chartRightMargin='0' chartBottomMargin='0' baseFontColor='333333'>
	<colorRange>
		<color minValue='0' maxValue='90' code='00B900' alpha='60' borderColor='00B900'/>
		<color minValue='90' maxValue='180' code='FDC12E' alpha='60' borderColor='FDC12E'/> 
		<color minValue='180' maxValue='270' code='E95D0F' alpha='60' borderColor='E95D0F'/> 
		<color minValue='270' maxValue='360' code='135FAB' alpha='60' borderColor='E95D0F'/> 
	</colorRange> 
	<dials> 	
		<dial value='";
	$data2 = "' radius='85'/>
	</dials>
</Chart>";
	$out = sprintf("%s%f%s", $data1, $value, $data2);
	
	$file = fopen("./Data/winddir.xml", "w");
	fwrite($file, $out);
	fclose($file);
}

function save_rain_1h($value)
{
	$data1 = "<chart upperLimit='100' lowerLimit='0' tickMarkGap='5' majorTMNumber='11' minorTMNumber='5' numberSuffix=' mm'>
	<value>";
	$data2= "</value>
</chart>";
	$out = sprintf("%s%f%s", $data1, $value, $data2);
	
	$file = fopen("./Data/rain_1h.xml", "w");
	fwrite($file, $out);
	fclose($file);
}

function save_rain_24h($value)
{
	$data1 = "<chart upperLimit='500' lowerLimit='0' tickMarkGap='5' majorTMNumber='6' minorTMNumber='5' numberSuffix=' mm'>
	<value>";
	$data2= "</value>
</chart>";
	$out = sprintf("%s%f%s", $data1, $value, $data2);
	
	$file = fopen("./Data/rain_24h.xml", "w");
	fwrite($file, $out);
	fclose($file);
}

function save_rain_total($value)
{
	$data1 = "<chart upperLimit='1000' lowerLimit='0' tickMarkGap='5' majorTMNumber='11' minorTMNumber='5' numberSuffix=' mm'>
	<value>";
	$data2= "</value>
</chart>";
	$out = sprintf("%s%f%s", $data1, $value, $data2);
	
	$file = fopen("./Data/rain_total.xml", "w");
	fwrite($file, $out);
	fclose($file);
}

?>